//---------------------------------------------------------------------------

#include <vcl.h>
#include <iterator>
#include "algostuff.hpp"

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main()
{
  list<int> coll;

  //    
  INSERT_ELEMENTS(coll,1,7);
  INSERT_ELEMENTS(coll,1,8);
  PRINT_ELEMENTS(coll," :\n");

  //     (  7)
  list<int>::iterator pos;
  pos = find (coll.begin(), coll.end(),    // 
              7);                          // 
  ++pos;

  //     
  inplace_merge (coll.begin(), pos, coll.end());

  PRINT_ELEMENTS(coll,"  :\n");


  getch();
  return 0;
}

//---------------------------------------------------------------------------